{ config, lib, pkgs, ... }:

let cfg = config.sydnix.xdg;
in {
  options.sydnix.xdg = {
    enable = lib.mkEnableOption "XDG things";
  };

  config = lib.mkIf cfg.enable {
    xdg.enable = true;
    home.preferXdgDirectories = true;
  };
}
